AirWatch Huawei Service Incompatible with Android Marshmallow

Overview

Huawei devices running Android Marshmallow are incompatible with a necessary permission for the Huawei Service to call Huawei's management APIs. Due to this issue, the AirWatch Huawei Service is not able to install on devices running Android Marshmallow and is only supported on devices running Android Nougat and higher. 

 

Customer Impact

Customers who have their console settings configured to require the service app may experience issues enrolling Huawei devices running Android Marshmallow. VMware AirWatch will be implementing a change in a future Agent release, which will ignore the service requirement on Huawei Android Marshmallow devices, allowing users to complete enrollment. 

As a workaround, it is recommended to uncheck "Require Service App" under Settings > Devices & Users > Android > Service Applications. The Huawei Service can then be pushed from the console post-enrollment as a Public or Internal application to Nougat devices. 

 

Support Contact Information

To receive support, either submit a ticket via My Workspace ONE portal or call your local support line.

 

Best Regards,

The VMware Workspace ONE Team

Other Languages: 日本語

Have more questions? Submit a request

0 Comments

Article is closed for comments.